## django-auditlog 1.0.0

=== docs/requirements.txt ===
# Docs requirements
django>=3.2,<3.3
sphinx
sphinx_rtd_theme
psycopg2-binary
django-jsonfield-backport>=1.0.0

=== debian/changelog ===
django-auditlog (1.0.0-0parrot2) lory-updates; urgency=medium

  * Add missing Maintainer field.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 02 Dec 2023 01:39:48 +0100

django-auditlog (1.0.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:43:45 +0200

django-auditlog (1.0.0-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 Jun 2022 17:31:38 +0200

=== debian/control ===
Source: django-auditlog
Section: python
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-setuptools-scm
Standards-Version: 4.6.1
Homepage: https://github.com/jazzband/django-auditlog

Package: python3-django-auditlog
Architecture: all
Depends: python3-django,
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Description: reusable app for Django that makes logging object changes a breeze (Python 3)
 This package contains a reusable app for Django that makes logging object
 changes a breeze. Auditlog tries to use as much as Python and Django's built
 in functionality to keep the list of dependencies as short as possible. Also,
 Auditlog aims to be fast and simple to use.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=django-auditlog

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%django-auditlog-$1.tar.gz%" \
   https://github.com/jazzband/django-auditlog/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## django-auditlog 3.0.0

=== docs/requirements.txt ===
# Docs requirements
django>=3.2,<3.3
sphinx
sphinx_rtd_theme
psycopg2-binary

=== debian/changelog ===
django-auditlog (3.0.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Fri, 20 Dec 2024 09:37:07 +0000

django-auditlog (3.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1090809)

 -- Edward Betts <edward@4angle.com>  Thu, 19 Dec 2024 12:07:34 +0000

=== debian/control ===
Source: django-auditlog
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-dateutil <!nodoc>,
 python3-django <!nodoc>,
 python3-psycopg2 <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/jazzband/django-auditlog
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-auditlog
Vcs-Git: https://salsa.debian.org/python-team/packages/django-auditlog.git

Package: python3-django-auditlog
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Library for logging changes to Django models
 This library records modifications to Django model instances along with the
 user responsible for the change. It offers more flexibility compared to
 Django's default admin log and provides a JSON summary of modifications,
 allowing easy tracking of changes across models. Designed to be simple and
 efficient, it minimizes storage use by avoiding full version control, instead
 focusing on logging key attributes and actions for each change. It
 communicates directly with Django models to capture and store these logs,
 integrating seamlessly into Django-based applications.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-auditlog
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf django_auditlog.egg-info/ docs/_build

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees source _build/html


override_dh_auto_test:

## django-auditlog 3.1.1

=== debian/changelog ===
django-auditlog (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Move files to clean from override_dh_auto_clean to debian/clean.
  * Update Standards-Version.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Sun, 20 Apr 2025 09:13:57 +0100

## django-auditlog 3.1.2

=== debian/changelog ===
django-auditlog (3.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 01 May 2025 16:31:25 +0300

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/jazzband/django-auditlog
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-auditlog
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-auditlog.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees source _build/html

override_dh_auto_test:

## django-auditlog 3.2.0

=== debian/changelog ===
django-auditlog (3.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 30 Jun 2025 18:16:33 +0100

## django-auditlog 3.2.1

=== docs/requirements.txt ===
# Docs requirements
django>=4.2,<4.3
sphinx
sphinx_rtd_theme
psycopg2-binary

=== debian/changelog ===
django-auditlog (3.2.1-1ubuntu1) questing; urgency=medium

  * Drop unnecessary dependencies on python3-pytzdata which is
    no longer in Ubuntu, see LP #2079995

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 29 Aug 2025 17:45:48 +0000

django-auditlog (3.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Run tests during build and autopkgtest.
  * Patch setup.py to not use setuptools_scm.

 -- Edward Betts <edward@4angle.com>  Fri, 11 Jul 2025 07:24:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: django-auditlog
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
@@ -12,11 +13,16 @@
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
+ postgresql,
+ postgresql <!nocheck>,
  python3-dateutil <!nodoc>,
  python3-django <!nodoc>,
- python3-psycopg2 <!nodoc>,
+ python3-freezegun <!nocheck>,
+ python3-psycopg2,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
+ tzdata <!nocheck>,
+ tzdata-legacy <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/jazzband/django-auditlog

=== debian/watch ===
version=4
https://github.com/jazzband/django-auditlog/tags .*/v?(\d\S+)\.tar\.gz

## django-auditlog 3.3.0

=== Makefile ===
# Django Auditlog Makefile

# Default target shows help
.DEFAULT_GOAL := help
.PHONY: help install test makemessages compilemessages create-locale i18n clean

# Variables
AUDITLOG_DIR := auditlog
 
install: ## Install dependencies
	pip install -e .
 
test: ## Run tests
	./runtests.sh
 
makemessages: ## Extract translatable strings and create/update .po files for all languages
	cd $(AUDITLOG_DIR) && \
	django-admin makemessages --add-location=file -a --ignore=__pycache__ --ignore=migrations
 
compilemessages: ## Compile all translation files (.po to .mo)
	cd $(AUDITLOG_DIR) && \
	django-admin compilemessages

create-locale: ## Create initial locale structure for a new language (requires LANG=<code>)
	@if [ -z "$(LANG)" ]; then \
		echo "Error: LANG parameter is required. Usage: make create-locale LANG=<language_code>"; \
		echo "Examples: make create-locale LANG=ko, make create-locale LANG=ja"; \
		exit 1; \
	fi
	mkdir -p $(AUDITLOG_DIR)/locale/$(LANG)/LC_MESSAGES
	cd $(AUDITLOG_DIR) && \
	django-admin makemessages --add-location=file -l $(LANG) --ignore=__pycache__ --ignore=migrations

i18n: makemessages compilemessages ## Full i18n workflow: extract strings, compile messages

clean: ## Clean compiled translation files (.mo files)
	find $(AUDITLOG_DIR)/locale -name "*.mo" -delete
 
help:  ## Help message for targets
	@echo "Available commands:"
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) \
		| awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 sphinx
 sphinx_rtd_theme
 psycopg2-binary
+mysqlclient==2.2.5

=== debian/changelog ===
django-auditlog (3.3.0-2) unstable; urgency=medium

  * Team upload.
  * Remove unnecessary dependencies on python3-pytzdata (closes: #1112509).

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Oct 2025 01:27:47 +0100

django-auditlog (3.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Fri, 03 Oct 2025 08:39:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: django-auditlog
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
@@ -23,7 +22,6 @@
  python3-sphinx-rtd-theme <!nodoc>,
  tzdata <!nocheck>,
  tzdata-legacy <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/jazzband/django-auditlog
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-auditlog

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,9 @@
 	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees source _build/html
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	$(eval BUILD_DIR=$(shell pybuild --print '{build_dir}'))
+	cp -r auditlog_tests $(BUILD_DIR)
+	cd $(BUILD_DIR)
+	PYTHONPATH=. python3 $(CURDIR)/debian/tests/setup-db-and-run-tests.py
+endif

=== debian/tests/control ===
Tests:
 setup-db-and-run-tests.py,
Depends:
 postgresql,
 python3-freezegun,
 python3-psycopg2,
 tzdata,
 tzdata-legacy,
 @,
Restrictions:
 allow-stderr,

## django-auditlog 3.4.0

=== debian/changelog ===
django-auditlog (3.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Clean up build directory after running tests, to avoid installing
    superfluous files.
  * Simplify a debhelper override.
  * Run autopkgtests on all supported Python versions.

 -- Colin Watson <cjwatson@debian.org>  Fri, 12 Dec 2025 01:33:40 +0000

## django-auditlog 3.4.1

=== debian/changelog ===
django-auditlog (3.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 22 Dec 2025 18:36:31 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_BEFORE_TEST := cp -r auditlog_tests {build_dir}/
export PYBUILD_TEST_CUSTOM := 1
export PYBUILD_TEST_ARGS := {interpreter} {dir}/debian/tests/setup-db-and-run-tests.py
export PYBUILD_AFTER_TEST := rm -rf {build_dir}/auditlog_tests

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees source _build/html

=== debian/tests/control ===
Test-Command:
 set -e; for py in $(py3versions -s); do $py debian/tests/setup-db-and-run-tests.py; done
Depends:
 postgresql,
 python3-all,
 python3-freezegun,
 python3-psycopg2,
 tzdata,
 tzdata-legacy,
 @,
Restrictions:
 allow-stderr,
